aboutsummaryrefslogtreecommitdiffstats
path: root/opie-brightnessapplet
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <hrw@openembedded.org>2004-11-14 19:24:19 +0000
committerMarcin Juszkiewicz <hrw@openembedded.org>2004-11-14 19:24:19 +0000
commit05b3726916c2ef961585895c2e1d97295da446dd (patch)
treee72c2afa65727ad67ad91ae7a00001803bcd9a18 /opie-brightnessapplet
parent224fec9f2068778b77300bafba7a4c0369072abf (diff)
downloadopenembedded-05b3726916c2ef961585895c2e1d97295da446dd.tar.gz
Merge bk://openembedded@openembedded.bkbits.net/packages-devel
into home.hrw.one.pl:/home/hrw/zaurus/oe/packages 2004/11/14 20:24:03+01:00 hrw.one.pl!hrw opie-brightnessapplet: fixed typo in 1.1.7 BKrev: 4197b0e3KvSwagDxS7Ys8xicEio4IQ
Diffstat (limited to 'opie-brightnessapplet')
-rw-r--r--opie-brightnessapplet/opie-brightnessapplet_1.1.7.oe37
1 files changed, 37 insertions, 0 deletions
diff --git a/opie-brightnessapplet/opie-brightnessapplet_1.1.7.oe b/opie-brightnessapplet/opie-brightnessapplet_1.1.7.oe
index e69de29bb2..432d1bd9dd 100644
--- a/opie-brightnessapplet/opie-brightnessapplet_1.1.7.oe
+++ b/opie-brightnessapplet/opie-brightnessapplet_1.1.7.oe
@@ -0,0 +1,37 @@
+DESCRIPTION = "Brightness Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+MAINTAINER = "Team Opie <opie@handhelds.org>"
+LICENSE = "GPL"
+
+APPNAME = "brightnessapplet"
+
+
+TAG = "${@'v' + oe.data.getVar('PV',d,1).replace('.', '_')}"
+SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;tag=${TAG};module=opie/noncore/applets/brightnessapplet \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;tag=${TAG};module=opie/pics"
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+do_install() {
+ install -d ${D}/${palmtopdir}/pics/${APPNAME}
+ install -m 0655 ${WORKDIR}/pics/${APPNAME}/*.png ${D}/${palmtopdir}/pics/${APPNAME}/
+}
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+}
+